#!/bin/sh

name="daemontools"
title="daemontools"
package="daemontools"
version="0.76"
build="1"
noarch="n"
build_info="Standard build."

info="A collection of tools for managing UNIX services."
desc="daemontools is an extensive collection of tools for managing
UNIX services. It includes tools for starting, restarting,
stopping, monitoring and logging any services that you might
wish to run on a UNIX machine."
category="system/control"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="CHANGES,TODO"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://cr.yp.to/daemontools/$name-$version.tar.gz admin/$name-$version/src

apply_patch daemontools-svscanboot.pw.patch

parent_package="$package"
write_info main

cd $src1

touch home

do_make

msg_installing

mkdir -p $pkg_main/usr/sbin
mkdir -p $pkg_main/{etc,var}/service

for i in `cat ../package/commands`; do cp $i $pkg_main/usr/sbin; done

copy $src_pkg/rc.daemontools $pkg_main/etc/rc.d
chmod a+x $pkg_main/etc/rc.d/rc.daemontools

make_docs

make_package main

clean_up

# $Log: daemontools.builder,v $
# Revision 1.4  2003/01/11 12:34:08  swiergot
# - Build 1.
#
# Revision 1.3  2003/01/11 12:19:01  swiergot
# - Added a svscanboot patch to fix paths in svscanboot script.
#
# Revision 1.2  2003/01/11 11:33:23  swiergot
# - Force building.
#
# Revision 1.1  2003/01/10 16:30:27  swiergot
# - Initial release.
# - Version 0.76.
#
